using System;

namespace ConsoleApp26
{
    class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            for(int i = 1;i < n; i++)
            {
                Console.ReadLine();
            }
            Console.WriteLine("2");
        }
    }
}